#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false); cin.tie(NULL);cout.tie(NULL);
    int n;
    cin>>n;
    int i;
    string s;
    for(int i=0;i<n;i++)
        cin>>i>>i>>s;
    if(s=="S")
    cout<<3;
    else cout<<3;
}